Results 1 to 8 of 8

Thread: apt- gep upgrade error , please help .

  1. #1
    Join Date
    2013-Jun
    Posts
    1

    apt- gep upgrade error , please help .

    "E: The value 'testing' is invalid for APT :: Default-Release as such a release is not available in the sources"

    This always comes when I upgrade and install applications, Who knows why? please help me

  2. #2
    Join Date
    2013-Mar
    Posts
    269
    Please show us what your sources.list file looks like.
    Fact, Science and the Pursuit of Knowledge. Working to secure your networks from threats; Outside and Within.

  3. #3
    Join Date
    2013-Jun
    Location
    USA
    Posts
    20
    Quote Originally Posted by charonsecurity View Post
    Please show us what your sources.list file looks like.
    This. There is an error in your sources file for sure.
    Check out my Youtube Channel! Search NetSecNow
    Check out my Facebook! - Search NetSecNow
    Check out my Blog! learnetsec@blogspot

    [B]Like and Subscribe! New videos every week![/B]

  4. #4
    Join Date
    2013-Jun
    Posts
    8
    I have the same error with this source list, I cant understend why

    ## Kali Security updates
    deb http://security.kali.org/kali-security kali/updates main contrib non-free

    ## Kali
    deb http://http.kali.org/kali kali main contrib non-free

    ## Kali-dev
    deb http://http.kali.org/kali kali-dev main contrib non-free

  5. #5
    Join Date
    2013-May
    Posts
    10
    On my ends everything works good try editing your source file and adding what I have

    # deb cdrom:[Debian GNU/Linux 7.0 _Kali_ - Official Snapshot i386 LIVE/INSTALL Binary 20130327-18:35]/ kali contrib main non-free

    #deb cdrom:[Debian GNU/Linux 7.0 _Kali_ - Official Snapshot i386 LIVE/INSTALL Binary 20130327-18:35]/ kali contrib main non-free

    ## Security updates
    deb http://security.kali.org/kali-security kali/updates main contrib non-free
    deb http://http.kali.org/kali kali main contrib non-free

  6. #6
    Join Date
    2013-Jun
    Posts
    8
    I have tried several combinations of sources and still get the same error, even with only

    deb http://http.kali.org/kali kali main contrib non-free
    deb http://security.kali.org/kali-security kali/updates main contrib non-free

    Whats wrong?

  7. #7
    Join Date
    2013-Jun
    Posts
    8
    For some reason i was told to write this on bash

    echo 'APT:efault-Release "testing";' >> /etc/apt/apt.conf

    that was the problem, I just delete that line in the file.

  8. #8
    Join Date
    2013-Jun
    Posts
    6
    Same Here ............... How to solve this issue

    root@kali:~# apt-get update
    Err http://security.kali.org kali/updates Release.gpg
    Could not connect to on24.com:8080 (199.83.44.153). - connect (111: Connection refused)
    Err http://http.kali.org /kali Release.gpg
    Could not connect to on24.com:8080 (199.83.44.153). - connect (111: Connection refused)
    Err http://http.kali.org /wheezy Release.gpg
    Unable to connect to on24.com:8080:
    Err http://http.kali.org kali-dev Release.gpg
    Unable to connect to on24.com:8080:
    Err http://http.kali.org kali Release.gpg
    Unable to connect to on24.com:8080:
    Reading package lists... Done
    W: Failed to fetch http://http.kali.org/dists//kali/Release.gpg Could not connect to on24.com:8080 (199.83.44.153). - connect (111: Connection refused)

    W: Failed to fetch http://http.kali.org/dists//wheezy/Release.gpg Unable to connect to on24.com:8080:

    W: Failed to fetch http://http.kali.org/kali/dists/kali-dev/Release.gpg Unable to connect to on24.com:8080:

    W: Failed to fetch http://http.kali.org/kali/dists/kali/Release.gpg Unable to connect to on24.com:8080:

    W: Failed to fetch http://security.kali.org/kali-securi...es/Release.gpg Could not connect to on24.com:8080 (199.83.44.153). - connect (111: Connection refused)

    W: Some index files failed to download. They have been ignored, or old ones used instead.

Similar Threads

  1. Kali Update && Upgrade && dist-upgrade Error
    By Dickz in forum TroubleShooting Archive
    Replies: 4
    Last Post: 2017-09-12, 07:11
  2. Replies: 3
    Last Post: 2016-10-15, 11:57

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •